package de.wwwu.awolf.model.communication;

public class GeneratorData implements Data {

    private SubscriberType type;
    private String message;
    private double m;
    private double b;

    public double getM() {
        return m;
    }

    public void setM(double m) {
        this.m = m;
    }

    public double getB() {
        return b;
    }

    public void setB(double b) {
        this.b = b;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    @Override
    public SubscriberType getType() {
        return type;
    }

    @Override
    public void setType(SubscriberType type) {
        this.type = type;
    }
}
